//
//  MapSource.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/23.
//

import Foundation
import MapboxMaps

struct MapSource {
    let sourceId : String
    let layerId : String
    var source = GeoJSONSource()
    
    init(layer : MapViewController.LayerEnum) {
        sourceId = layer.rawValue + "Source"
        layerId = layer.rawValue + "Layer"
    }
}
